Bug 42621 - iOS: DateTimeOffset doesn't get correct TimeZone offset when you change the Date TimeZone in System settings
Summary: iOS: DateTimeOffset doesn't get correct TimeZone offset when you change the D...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 2.3.0
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-07-18 06:02 UTC by Cliff Cawley
Modified: 2016-11-29 11:56 UTC (History)
5 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Sample to reproduce bug (29.54 KB, application/zip)
2016-07-18 06:02 UTC, Cliff Cawley
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Cliff Cawley 2016-07-18 06:02:17 UTC
Created attachment 16702 [details]
Sample to reproduce bug

DateTimeOffset on iOS doesn't get the correct offset if you change the Time Zone while the app is running. It correctly updates only from a fresh start.

Attached is a sample that demonstrates this.

To reproduce on iOS:

1) Launch the app on an ios device (not simulator) and take note of the time zone offset.
2) Background the app and change the Time Zone under Date & Time in iOS Settings
3) Foreground the app and notice that the Offset information doesn't update to reflect. (The sample will auto reconstruct the view on resume, or you can tap the refresh button)

Expected:
The offset information should update as it does on Android.

Additional notes:
Android works as expected
Comment 2 adrianknight89 2016-10-06 07:34:31 UTC
See https://github.com/xamarin/Xamarin.Forms/pull/423
Comment 3 Rui Marinho 2016-10-11 21:31:42 UTC
Should be fixed in 2.3.4-pre1
Comment 4 Parmendra Kumar 2016-11-29 11:56:53 UTC
I have checked this issue with Xamarin.Forms 2.3.4-pre1 and its working fine.


Hence closing this issue.